<?php
/**
 * Save MasterAccountId nad MasterAccountApiKey
 */
function saveCridentials( \WP_REST_Request $request) {
	$response = new \WP_REST_Response();

	$requestData = json_decode($request->get_body());

	if ($requestData && $requestData->MasterAccountId && $requestData->MasterAccountApiKey) {
		if (!get_option('labelcall_master_account_id') && !get_option('labelcall_api_key')) {
			add_option('labelcall_master_account_id', $requestData->MasterAccountId);
			add_option('labelcall_api_key', $requestData->MasterAccountApiKey);

			wp_schedule_single_event(time(), 'full_contacts_sync');
			$response->status = 200;
		} else {
			$response->status = 500;
		}
	} else {
		$response->status = 400;
	}

	return $response;
}
